Keel Infrastructure

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/keel-infrastructure/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.bitfarms.com/static-files/315072ca-892c-40a0-b0b4-3c4524efdf49",
    "holding_balance": 1658.0,
    "holding_net_change": 256.0,
    "transaction_value_usd": 29216399.36,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1762905600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.keelinfra.com/news-releases/news-release-details/bitfarms-reports-third-quarter-2025-results",
    "holding_balance": 1827.0,
    "holding_net_change": 169.0,
    "transaction_value_usd": 17179378.97,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778457600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir.keelinfra.com/news-releases/news-release-details/keel-infrastructure-reports-first-quarter-2026-results",
    "holding_balance": 1558.0,
    "holding_net_change": -269.0,
    "transaction_value_usd": 21981356.52,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1788739200000,
    1558.0
  ],
  [
    1788825600000,
    1558.0
  ],
  [
    1788912000000,
    1558.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1788739200000,
    125080275.22
  ],
  [
    1788825600000,
    123227548.36
  ],
  [
    1788912000000,
    122227857.66
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.07,
    "date": "2026-09-03",
    "high": 3.39,
    "open": 3.15,
    "close": 3.35,
    "volume": 37227783
  },
  {
    "low": 3.3,
    "date": "2026-09-04",
    "high": 3.48,
    "open": 3.3,
    "close": 3.47,
    "volume": 31853096
  },
  {
    "low": 3.52,
    "date": "2026-09-08",
    "high": 3.9,
    "open": 3.54,
    "close": 3.73,
    "volume": 43568829
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.06,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.0733
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -3.87,
  "six_month_return": 76.78,
  "three_month_return": -34.1
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/keel-infrastructure/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 5.7,
  "total_btc_percentage": 0.007,
  "share_price_change_state": "down"
}